aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/compass_vm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy/compass_vm.sh')
-rw-r--r--deploy/compass_vm.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/deploy/compass_vm.sh b/deploy/compass_vm.sh
index 9e192281..79eb1ecf 100644
--- a/deploy/compass_vm.sh
+++ b/deploy/compass_vm.sh
@@ -30,6 +30,7 @@ function install_compass_core() {
function wait_ok() {
set +x
log_info "wait_compass_ok enter"
+ ssh-keygen -f "/root/.ssh/known_hosts" -R $MGMT_IP >/dev/null 2>&1
retry=0
until timeout 1s ssh $ssh_args root@$MGMT_IP "exit" >/dev/null 2>&1
do
@@ -108,7 +109,7 @@ function launch_compass() {
sudo virsh define $compass_vm_dir/libvirt.xml
sudo virsh start compass
- if ! wait_ok 300;then
+ if ! wait_ok 360;then
log_error "install os timeout"
exit 1
fi